%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global modname backport_collections

Name:               python-backport_collections
Version:            0.1
Release:            1%{?dist}
Summary:            Backport of Python 2.7's collections module

Group:              Development/Libraries
License:            Python
URL:                http://pypi.python.org/pypi/backport_collections
Source0:            https://pypi.python.org/packages/source/b/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:          noarch
BuildRequires:      python2-devel python-setuptools
BuildRequires:      python-unittest2 python-nose



%description
Backport of Python 2.7's ``collections`` module for Python 2.6.

``Counter``, ``deque``, ``OrderedDict`` and ``namedtuple`` are backported.
The rest of the members of the ``collections`` module are still exposed.
Note though that some ``ABC`` classes are slighlty different (see known
issues below).



%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build


%install

%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python2} setup.py test -v


%files
%doc README.rst LICENSE
%{python2_sitelib}/backport*



%changelog
* Thu Jan 29 2015  <> 0.1-1
- initial package for Fedora
